package ejb.entites;

import java.io.Serializable ;
import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class Compte implements Serializable {
	
	@Id private int numero ;
	private double solde ;
	private String titulaire ;
	@OneToMany(mappedBy="proprietaire", fetch=FetchType.EAGER) 
	private Set<LigneAction> lignesactions ;
	
	
	
	public int getNumero() { return numero; }

	public void setNumero(int numero) { 
		this.numero = numero;
	}

	public double getSolde() {
		return solde;
	}

	public void setSolde(double solde) {
		this.solde = solde;
	}

	public String getTitulaire() {
		return titulaire;
	}

	public void setTitulaire(String titulaire) {
		this.titulaire = titulaire;
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public Compte() {}

	public Set<LigneAction> getLignesactions() {
		return lignesactions;
	}

	public void setLignesactions(Set<LigneAction> lignesactions) {
		this.lignesactions = lignesactions;
	}

	
	
	
}
