package ejb.sessions;

import ejb.entites.LigneAction ;
import ejb.entites.Compte ;

public interface ServiceBanque {
	public void addCompte(int numeroCompte, String nomTitulaire, double soldeDepart)
	throws CompteDejaExistantException ;
	public Compte getCompte(int numeroCompte) throws CompteInconnuException ;
	public void addAction(String nomAction, double taux) 
	throws ActionDejaExistanteException ;
    public void crediterCompte(int numeroCompte, double montant)
    throws CompteInconnuException ;
    public void debiterCompte(int numeroCompte, double montant) 
    throws CompteInconnuException ;
    public void virementVers(int numCompteDebit, int numCompteCredit, double montant)
    throws CompteInconnuException,ApprovisionnementException ;
    public void acheteActions(int numeroCompte, String nomAction, int nb) 
    throws CompteInconnuException, ActionInconnueException, ApprovisionnementException ;
    public void vendActions(int numeroCompte, String nomAction, int nb) 
    throws CompteInconnuException, ActionInconnueException, ApprovisionnementException ;
    public java.util.Set<LigneAction> getActionsAchetees(int numeroCompte) 
    throws CompteInconnuException ;
}
