package web.controleurs;

import java.io.IOException;
import java.io.PrintWriter;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import ejb.entites.Compte;
import ejb.sessions.CompteInconnuException;
import ejb.sessions.ServiceBanqueLocal;

@WebServlet(value={"badDisplayCompte"})
public class BadServlet extends HttpServlet {
  @EJB ServiceBanqueLocal service ;
  
  public BadServlet() {}
  
  public void doGet(HttpServletRequest req,HttpServletResponse res)
    throws ServletException, IOException {
	int numeroCompte=
	Integer.parseInt(req.getParameter("numeroCompte")) ;
	Compte c=null ;
	try {
		c=service.getCompte(numeroCompte) ;
	} catch (CompteInconnuException e) {
	}
	res.setContentType("text/html");
	PrintWriter out = res.getWriter();
    out.println("<html><head><title>demo servlet"+ 
                "</title></head>");
    out.println("<body>");
    if (c==null)
      out.println("<h2>Compte "+numeroCompte+" inconnu</h2>") ;
    else {
      out.println("<h2>Compte "+numeroCompte+"</h2>") ;
      out.println("<ul><li>Titulaire:<b>"+c.getTitulaire()+"</b></li>");
      out.println("<li>Solde:<b>"+c.getSolde()+"</b></li></ul>");
    }
    out.println("</body></html>");
  }
}
