<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
  <head>
    <title>Application banque</title>
    <meta charset="UTF-8" />
  </head>
<body>
 <header><h1>Application banque</h1></header>

<h2>Information compte:</h2>
 <c:if test = "${not empty requestScope.compte}">
 <h3>Compte n° ${requestScope.compte.numero}</h3>
 Titulaire : <b>${requestScope.compte.titulaire}</b><br />
 Solde  <b>${requestScope.compte.solde}</b>
 
 <ul>
 <c:forEach items="${requestScope.listeLA}" var="la">
  <li>${la.nombre} action(s) ${la.action.nom} 
      au taux de ${la.action.taux}
  </li> 
 </c:forEach>
 </ul>
</c:if>

<c:if test = "${empty requestScope.compte}">
 <h3>Compte Inconnu</h3>
</c:if>

</body>
</html>