package client ;



import javax.naming.InitialContext;
import javax.naming.NamingException ;

import ejb.sessions.* ;
import ejb.entites.* ;

public class Main {
		
 public static void main(String[] args) { 
   try {
      InitialContext ctx = new InitialContext();
      System.out.println("Accès au service distant") ;
      Object obj = ctx.lookup("ejb:appliBanque/appliBanqueSessions//ServiceBanqueBean"+
                              "!ejb.sessions.ServiceBanqueRemote");
      
      ServiceBanqueRemote service = (ServiceBanqueRemote) obj ;
      service.addCompte(1, "Olivier", 2000.0);
      service.addCompte(2, "Paul", 300.0) ;
      service.addAction("nintendo",46.5) ;
      service.addAction("sega", 12.0) ;
      System.out.println("achat de 10 actions sega") ;
      service.acheteActions(1, "sega", 10);
      System.out.println("achat de 3 actions nintendo") ;
      service.acheteActions(1,  "nintendo", 3);
      System.out.println("Actions de Olivier:") ;
      for (LigneAction la : service.getActionsAchetees(1))
    	System.out.println(la.getNombre()+" action(s) "+la.getAction().getNom()
    				        +" au taux de "+la.getAction().getTaux()) ;
      System.out.println("vente de 2 actions sega") ;
      service.vendActions(1, "sega", 2);
      System.out.println("Actions de Olivier:") ;
      for (LigneAction la : service.getActionsAchetees(1))
    	 System.out.println(la.getNombre()+" action(s) "+la.getAction().getNom()
    				             +" au taux de "+la.getAction().getTaux()) ;
      System.out.println("vente de 8 actions sega") ;
      service.vendActions(1, "sega", 8);
      System.out.println("Actions de Olivier:") ;
      for (LigneAction la : service.getActionsAchetees(1))
        System.out.println(la.getNombre()+" action(s) "+la.getAction().getNom()
    				             +" au taux de "+la.getAction().getTaux()) ;   	  
      } catch(CompteInconnuException e) {
    	  System.err.println("Compte inconnu") ;
      } catch (NamingException e1) {
    	  System.err.println("erreur accès service") ;
	} catch (ActionInconnueException e) {
		System.err.println("Action inconnue") ;
	} catch (ApprovisionnementException e) {
		System.err.println("pb approvisionnement") ;
	} catch (CompteDejaExistantException e) {
		System.err.println("Compte existe") ;
	} catch (ActionDejaExistanteException e) {
		System.err.println("Action existe") ;
	}
   }
}